ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package converters
  Definition Classes
    adam
- AlignmentConverter
- DefaultHeaderLines
- VariantContextConverter

o

org.bdgenomics.adam.converters

# VariantContextConverter 

###
Companion class VariantContextConverter

#### object VariantContextConverter extends Serializable

Object for converting between htsjdk and ADAM VariantContexts.

Handles Variant, Genotype, Allele, and various genotype annotation conversions. Does not handle Variant annotations. Genotype annotations are annotations in the VCF GT field while Variant annotations are annotations contained in the VCF INFO field.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContextConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(headerLines: Seq[VCFHeaderLine], stringency: ValidationStringency, conf: Configuration): VariantContextConverter
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def cleanAndMixInSupportedLines(headerLines: Seq[VCFHeaderLine], stringency: ValidationStringency, log: Logger): Seq[VCFHeaderLine]
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def headerLines(header: VCFHeader): Seq[VCFHeaderLine]

    Return the header lines in the specified VCF file header.

    Return the header lines in the specified VCF file header.

    header

      VCF file header

    returns

      the header lines in the specified VCF file header

13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  val nestAnnotationInGenotypesProperty: String

    If set to true, this property will ensure that the variant.annotation field in the Genotype record is populated after conversion from an htsjdk VariantContext.

    If set to true, this property will ensure that the variant.annotation field in the Genotype record is populated after conversion from an htsjdk VariantContext. By default, this property is false.

16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  def references(header: VCFHeader): SequenceDictionary

    Return the references in the specified VCF file header.

    Return the references in the specified VCF file header.

    header

      VCF file header

    returns

      the references in the specified VCF file header

19.  def samples(header: VCFHeader): Seq[Sample]

    Return the samples in the specified VCF file header.

    Return the samples in the specified VCF file header.

    header

      VCF file header

    returns

      the samples in the specified VCF file header

20.  def setNestAnnotationInGenotypesProperty(conf: Configuration, populateNestedAnn: Boolean): Unit

    Sets the value of the nest annotation in genotypes property.

    Sets the value of the nest annotation in genotypes property.

    conf

      Hadoop configuration to set the property in.

    populateNestedAnn

      If true, the nested field is populated.

21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped